#
# spec file for package nginx-macros
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nginx-macros
Version:        0.0.1
Release:        1.1
Summary:        Just some macros to make packaging nginx and modules easier
License:        BSD-2-Clause
Group:          Productivity/Networking/Web/Proxy
URL:            https://nordisch.org
Source0:        nginx.macros
BuildArch:      noarch

%description
Just some macros to make packaging nginx and modules easier.

%prep

%build

%install
install -Dpm0644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}/macros.nginx

%files
%{_rpmmacrodir}/macros.nginx

%changelog
* Tue Feb 16 2021 mrueckert@suse.de
- Since we only target sle 12 and above we can skip all
  conditionals which apply to suse_version before 1315
  With changes in nginx itself we will drop support for sysvinit.
  http2, libatomic support and pcre_jit will always be on now.
  and we build all binaries with PIE now.
- Moved the last 2 path macros from nginx.spec to the macros file.
  (pid and lock path)
* Thu Feb 11 2021 fschnizlein@suse.com
- Remove {?is_opensuse} conditions to sync openSUSE and SLE (jsc#SLE-12124)
* Mon Nov  9 2020 ilya@ilya.pp.ua
- Refresh spec-file via spec-cleaner and manual optimizations.
* Fri Oct  2 2020 mrueckert@suse.de
- initial package
